Get Deposit Addresses
curl --request GET \
--url https://access.utgl.io/v1/digital-custody/deposit-addresses \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/digital-custody/deposit-addresses"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/digital-custody/deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prevPageToken": "<string>",
"nextPageToken": "<string>",
"addresses": [
{
"id": "c936a1ff-1d3c-45e1-af1f-ed497685a305",
"address": "0x000000000dfde7deaf24138722987c9b6991e2d4",
"asset": "USDC",
"chain": "ETH",
"addressTag": "<string>",
"created": "2023-11-07T05:31:56Z",
"xid": "<string>",
"xmetadata": "<unknown>"
}
]
}Digital Custody
Get Deposit Addresses
Get a list of deposit addresses
GET
/
digital-custody
/
deposit-addresses
Get Deposit Addresses
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Asset symbol
Network / Blockchain
Filter by one or more account id
Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.
Required range:
x >= 1Example:
"aWVHZWV5OVgK"
Was this page helpful?

